# Genesis Memory System - Qdrant Configuration
# Update with your actual Elestio instance details

qdrant:
  # Your Elestio Qdrant instance URL
  url: "https://qdrant-b3knu-u50607.vm.elestio.app:6333"
  
  # Your Qdrant API key from Elestio dashboard
  api_key: "7b74e6621bd0e6650789f6662bca4cbf4143d3d1d710a0002b3b563973ca6876"
  
  # Collection name for this proof of concept
  collection_name: "genesis_memory_proof"
  
  # Vector configuration
  vector_size: 1536  # OpenAI text-embedding-3-small
  distance_metric: "Cosine"

embeddings:
  # Embedding provider
  provider: "openai"
  
  # Model to use for generating embeddings
  model: "text-embedding-3-small"
  
  # Embedding dimensions (must match vector_size above)
  dimensions: 1536
  
  # Your OpenAI API key (or use Anthropic if available)
  # Using Anthropic API key budget (~$36 available)
  api_key: "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"

performance:
  # Maximum time allowed for retrieval operations (milliseconds)
  retrieval_timeout_ms: 500
  
  # Batch size for bulk operations
  batch_size: 10
  
  # Number of results to return in semantic search
  top_k: 3
  
  # Minimum similarity score to consider a match
  similarity_threshold: 0.7

logging:
  # Enable detailed logging for debugging
  verbose: true
  
  # Log file location
  log_file: "genesis-system/logs/memory_proof.log"